# Get Transactions Investigation

Returns transaction investigation results for a given address.

#### HTTP Request

```shell
GET https://openapi.misttrack.io/v1/transactions_investigation
   ?coin=ETH
   &address=0xb3065fe2125c413e973829108f23e872e1db9a6b
   &api_key=YourApiKey
```

> Try this endpoint in your [browser](https://openapi.misttrack.io/v1/transactions_investigation?coin=ETH\&address=0xb3065fe2125c413e973829108f23e872e1db9a6b\&api_key=YourApiKey) 🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table><thead><tr><th width="185.66666666666666">Parameter</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td>coin</td><td>string</td><td>the coin to check for transaction investigation, <strong>all optional values can be found</strong> <a href="../../openapi/overview#multi-chain-support"><strong>here</strong></a></td></tr><tr><td>address</td><td>string</td><td>the address to check for transaction investigation</td></tr><tr><td>api_key</td><td>string</td><td>your api key</td></tr><tr><td>start_timestamp</td><td>int</td><td>the start timestamp to check for transaction investigation(optional, default is 0)</td></tr><tr><td>end_timestamp</td><td>int</td><td>the end timestamp to check for transaction investigation(optional, default is current timestamp)</td></tr><tr><td>type</td><td>string</td><td>the type to check for transaction investigation(optional value "in", "out" and "all", default is "all")</td></tr><tr><td>page</td><td>int</td><td>page number(optional, default is 1)</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}
Response Data Parameters

<table><thead><tr><th width="237">Parameter</th><th width="83.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>in</td><td>list</td><td>The transfer-in transaction list of the querying address</td></tr><tr><td>out</td><td>list</td><td>The transfer-out transaction list of the querying address</td></tr><tr><td>page</td><td>int</td><td>The current page number</td></tr><tr><td>total_pages</td><td>int</td><td>The total page number</td></tr><tr><td>transactions_on_page</td><td>int</td><td>The number of transactions investigated on the current page(maximum is 1000)</td></tr></tbody></table>

Response Data Unit Parameters

<table><thead><tr><th width="191.66666666666666">Parameter</th><th width="145">Type</th><th>Description</th></tr></thead><tbody><tr><td>address</td><td>string</td><td>address that have a transfer relationship with the querying address</td></tr><tr><td>type</td><td>int</td><td><p>1: EOA address / bitcoin address, </p><p>2: malicious address, </p><p>3: entity label address,</p><p>4: contract address</p></td></tr><tr><td>tx_hash_list</td><td>list</td><td>transfer transaction hash list</td></tr><tr><td>amount</td><td>float(4)</td><td>total transfer amount</td></tr><tr><td>label</td><td>string</td><td>address label detail</td></tr></tbody></table>

Sample Response

```json
{
	"success": true,
	"msg": "",
	"data": {
		"out": [
			{
				"address": "0xd90e2f925da726b50c4ed8d0fb90ad053324f31b",
				"tx_hash_list": [
					"0x48c2601bcb2f3cc5a4b047d0151322d74b525c79fc68a052ba6e7faf1231017c",
					"0x7e87c61d423a3ea98937c16e4519069410212b16b6614daa9a84110a7422a12a",
					"0x9b8b6c6a141476fd7727a3e89fab94bd14638149430cb2512d7f0c6e731ab4ad",
					"0x6cba946ea79e77592a5a2dda2cd2a0806f568fae4f5f129624a621c7b36b8698",
					"0x8c558551d9b56e5643235d9dfe3865ce78b77630f789b1b7b02f7927ffd4b5b6",
					"0x5a2a96e722ce113fd22a919b08f51b2d49ab7b90784c2b11386380093e6c4d99",
					"0xaec81680d2bb4c8dbfbf150edb92abb618ef345c3325e62c0472b14f84e3a4ae",
					"0xf1b495be2beb828b88d6b60afd613bc9c7eadd9a7b51b98f03d48809f1136bfb",
					"0xefe8a14dfca2394b5ef914e9e0c3f83a07c83dc4eaf3187769384744d746cdf3",
					"0x0e4be586fe14b3aa2585fe3af0fa69cc5f3092c11d1e398987df46b28daa7ab3",
					"0xb2c5dcb6c2af88b2d139c575f7e575e8fd70bc225de72c99a142c9540a406635",
					"0x979711c7760844ca0cc5c04436676e12c0c3d9d8f4abe429fa2b5b8b21c685dc",
					"0x91cca8652cd00559fd0ff63557a967a14c13507d90e35acb4e71d8aed9fa65b8",
					"0x2acf21485518c305d40da718a415519c8c4fecf43323f45a2a945f400083d9fe"
				],
				"amount": 743,
				"type": 3,
				"label": "Tornado.Cash: Router"
			},
			{
				"address": "0x7e46480d8e28c1d6c55be1b782084dd2c902f99f",
				"tx_hash_list": [
					"0xf3ba8038e1e22017a91efa5d87685891b90f081a1da4f5098c8c7c8d97519e85"
				],
				"amount": 0.0845,
				"type": 1,
				"label": ""
			},
			{
				"address": "0x259838b05d61717e37fc7b6bf0758d25644ee930",
				"tx_hash_list": [
					"0xaa5eccb2fa452770e5a4026d8b335c8a292e7166832116c3e6494c384dc3ec87"
				],
				"amount": 0.0795,
				"type": 3,
				"label": "binance"
			},
			{
				"address": "0xf8dfe4da86f8e73fec7383784f96752255d50fdc",
				"tx_hash_list": [
					"0x5e58958244228e3954550f5dea9065b1622a29ad77821e4a1a669a01fd3e60b0"
				],
				"amount": 0.0428,
				"type": 1,
				"label": ""
			},
			{
				"address": "0x68b3465833fb72a70ecdf485e0e4c7bd8665fc45",
				"tx_hash_list": [
					"0x1854e70f60ca81ada0d842242cfc34fbb2a107e825389cb24485733d1a3bda5c",
					"0xf620d29dd717035ed94e6c325b28d5ed2ac173022a0577463a9c9d4c1ce1a10a"
				],
				"amount": 0.65,
				"type": 3,
				"label": "Uniswap V3: Router 2"
			},
			{
				"address": "0xd32998321e43fcdb0482101a7aed9496813e06d0",
				"tx_hash_list": [
					"0x2e565664bb8b29a3930207a2df2f46045c4c0eba8882c8b57cab67c35437992b",
					"0xf4b19bde3035c0a1a4bef62132b8c1f1577b3910d32718bad9e5261f60194833",
					"0x6a939a4dbf30a1f291e4fa9ba010294226acdad7a4fd8a6010b94ca1694515f4",
					"0x8eba59c2632d55a99324b2a2d218dba64b40e6a2ed32f0aac75c29f53203dfcd",
					"0x264e5295660cc469165cb26de5e6ac2257e9f15920c6d0d5ddb8a0ca4d15a45a",
					"0xad604f2e3ba83c4dadc540919ad86077cf8d589f08f70ab1482144a5f5bb46ef"
				],
				"amount": 1.4668,
				"type": 1,
				"label": ""
			}
		],
		"in": [
			{
				"address": "0xcdd37ada79f589c15bd4f8fd2083dc88e34a2af2",
				"tx_hash_list": [
					"0x5cc3de8969e2642f6562fe3c0d32f0136a046e53f95ca1f40fe0b7e069f6646c"
				],
				"amount": 0.3615,
				"type": 3,
				"label": "sideshift.ai"
			},
			{
				"address": "0x68b3465833fb72a70ecdf485e0e4c7bd8665fc45",
				"tx_hash_list": [
					"0x127fcdb6f30228045d07525940b628e9d1c2d343d4d2d79a41f078eecf67d869",
					"0x7f14257482969941aaa6fef9b27bbd48cae828c5df7c6246c8b2d9f7cfa8acbe",
					"0x5e6cad442ee522055512514616cb9465f551d81096c09b183175609db177e8da",
					"0x87032b673fa3264e491e6770209a2457ae4d765c0f504d87b4467e7e907fafaa",
					"0x33cdf3daee948390200254e8a0a0580a6b12ca813f45788c359bd389ed3bcce0",
					"0xac1139c366727e434de7ae3334d5acb95d2f0dcf3bfc43544dd768491e2e2890",
					"0x24952d8c3ec6dbf4c468518e9ff67f9d97ac9963ceb71ecab9ff58014a914ec8"
				],
				"amount": 735.5724,
				"type": 3,
				"label": "Uniswap V3: Router 2"
			},
			{
				"address": "0xd9e1ce17f2641f24ae83637ab66a2cca9c378b9f",
				"tx_hash_list": [
					"0xcbb552f4929b9ab891884189be2d885468de774d7644b53c54c21ef810b4a01d"
				],
				"amount": 0.4158,
				"type": 3,
				"label": "SushiSwap: Router"
			},
			{
				"address": "0xb3065fe2125c413e973829108f23e872e1db9a6b",
				"tx_hash_list": [
					"0x24dcf60c17a2c068549e3cfcfce8e131ff65ec0ef414218feb2c2b198b3a6280"
				],
				"amount": 0.0098,
				"type": 1,
				"label": ""
			},
			{
				"address": "0x910cbd523d972eb0a6f4cae4618ad62622b39dbf",
				"tx_hash_list": [
					"0x113be3df8e1e95cacd51d57ad1022fb7181bd19650648a346c29c540801a45a0"
				],
				"amount": 9.9364,
				"type": 3,
				"label": "Tornado.Cash: 10 ETH"
			}
		],
        "page": 1,
        "total_pages": 1,
        "transactions_on_page": 36
	}
}
```

{% endtab %}
{% endtabs %}

#### [Rate Limits](https://docs.misttrack.io/openapi/overview#rate-limits)
